org.deidentifier.arx.framework.lattice

## Class DependentAction

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.DependentAction

Direct Known Subclasses:
  DependentAction.NodeActionConstant, DependentAction.NodeActionInverse

    public abstract class DependentAction
    extends java.lang.Object

A action that depends on properties of transformations.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `DependentAction.NodeActionConstant` A trigger for nodes.
`static class` `DependentAction.NodeActionInverse` A trigger for nodes.

### Constructor Summary

Constructors
Constructor and Description
`DependentAction()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `action(Transformation<?> transformation)` Implements the action to be performed.
`abstract boolean` `appliesTo(Transformation<?> transformation)` Determines whether the trigger action should be performed.
`void` `apply(Transformation<?> transformation)` Applies the trigger to the given transformation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependentAction

    public DependentAction()

### Method Detail

#### action

    public void action(Transformation<?> transformation)

Implements the action to be performed.

Parameters:
  `transformation` -

#### appliesTo

    public abstract boolean appliesTo(Transformation<?> transformation)

Determines whether the trigger action should be performed.

Parameters:
  `transformation` -
Returns:

#### apply

    public final void apply(Transformation<?> transformation)

Applies the trigger to the given transformation.

Parameters:
  `transformation` -